Skip to main content
GET
Search list of policies.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Query Parameters

q
string

Search for policy using policy ID or name.

policy_ids
string

A list of comma separated policy IDs that you want to search for.

active
string

Send any value in this query parameter to return only the active policies.

state
enum<string>

Return policies whose state field matches the sent value e.g if you send state as deny policies returned are those whose state filed value is set as deny.

Available options:
deny,
active,
draft
sort
enum<string>

Field you want to use to sort the returned policies.

Available options:
date_created,
name,
state
api_id
string

Comma separate list of API IDs. Return only policy that that have the given API IDs in their access_right.

auth_type
string

Return policy whose auth_type field has the given value.

p
integer

Use p query parameter to say which page you want returned. Send number less than 0 to return all items.

Response

List of policies.

Data
object[] | null
Pages
integer